//
//
//    1991 Adobe Systems Inc.
//    written by Randy Ubillos
//
//

// Load in your favorite Mac headers here...
#pragma load "headers.d"

#include "Interface-Effect.h"

//
// Perform the effect

pascal short xEffect(short selector, EffectHandle theData)
{
	short				result = 0,spot;
	Rect				box;
	RGBColor			thecolor;

	switch (selector) {
		case esExecute:														// here's the start
			box = ((GrafPtr)(*theData)->destination)->portRect;				// find bounds
			spot = (*theData)->part * (long)65535 / (*theData)->total;		// calc transparency
			thecolor.red = thecolor.green = thecolor.blue = spot;			// set up the 'color'
			OpColor(&thecolor);												// set mix level
			CopyBits((BitMap*)&(*theData)->source1->portPixMap,				// copy all of src 1
						(BitMap*)&(*theData)->destination->portPixMap,
														&box,&box,srcCopy,nil);
			CopyBits((BitMap*)&(*theData)->source2->portPixMap,				// mix in some of src 2
						(BitMap*)&(*theData)->destination->portPixMap,
															&box,&box,blend,nil);
			break;
		case esSetup:														// we don't need setup
			break;
	}
	return(result);
}

