pascal void main(void);

typedef struct dosNotData {
	short	stage;
	Boolean	doKill;
	
} dosNotData, *dosNotDataP, **dosNotDataH;

pascal void main(void)
{
	Ptr		addr;
	dosNotDataP		globalP;
	long	rD0;
	EventRecord	*rA1;
	
	asm {
		MOVEM.L	A2-A5/D1-D7, -(A7)			/* Save the non-volitle registers		 */
		MOVE.L	d0, rD0						/* Get to d0 & a0 easily */
		MOVE.L	a1, rA1
	}
		
	addr = *(Ptr *)(((Ptr)&main) - 8);		/* Get the address of last filter 	*/
	globalP = *(dosNotDataP *)(((Ptr)&main) - 4);	/* Get the address of global storage 	*/
											/* The structure is:
													long	last filter address;
													Ptr		globalDataSpace;		*/

	if ((rA1)->what == keyDown)
	{
		char theChar = (rA1)->message & charCodeMask;
		
		switch (globalP->stage)
		{
			case 0:
			if ((theChar == 'd') || (theChar == 'D'))
				{	globalP->stage = 1;
				}
				else
					globalP->stage = 0;
				break;
			
			case 1:
				if ((theChar == 'o') || (theChar == 'O'))
				{
					globalP->stage = 2;
				}
				else
					globalP->stage = 0;
				break;
					
			case 2:
				if ((theChar == 's') || (theChar == 'S'))
				{
					rA1->message = 0x00003308;
					globalP->doKill = true;
					SysBeep(1);
				}
				else
					globalP->stage = 0;
				break;
				
			default:
				globalP->stage = 0;
				break;
		}
	}
	else if ((rA1->what == nullEvent) && (globalP->doKill))
		 {
		 	short	err;
		 	EvQElPtr	qP;
		 	
			err = PPostEvent(keyDown, 0x00003308, &qP);
			if (!err)
			{
				qP->evtQWhen = TickCount();
				qP->evtQModifiers = 0;
			}
			globalP->doKill = false;
			globalP->stage = 0;
		}
		
	asm {
			MOVEM.L		(A7)+, A2-A5/D1-D7	/* Restore the non-volitle registers	*/
			MOVE.L		rD0, d0
			MOVE.L		rA1, a1
			MOVE.L		addr, A0
			UNLK		A6
			JMP			(A0)		
	};
}