//
//
//    1991 Adobe Systems Inc.
//    written by Randy Ubillos
//
//

//
// Filter callback prototype

typedef pascal short (*VFilterCallBackProcPtr)(long frame, 
								CGrafPtr thePort,Rect *theBox, Handle privateData);

typedef pascal short (*AFilterCallBackProcPtr)(long sample, long count,
												Ptr buffer, Handle privateData);

//
// Effect Data Structure

typedef struct {
	Handle					specsHandle;
	GWorldPtr				source;
	GWorldPtr				destination;
	long					part;
	long					total;
	char					previewing;
	Handle					privateData;
	VFilterCallBackProcPtr	callBack;
} VideoRecord, **VideoHandle;

typedef struct {
	Handle					specsHandle;
	Ptr						source;
	Ptr						destination;
	long					samplenum;
	long					samplecount;
	char					previewing;
	Handle					privateData;
	AFilterCallBackProcPtr	callBack;
	long					totalsamples;
	short					flags;
	long					rate;
} AudioRecord, ** AudioFilter;

// Selector messages
enum {
	fsExecute = 0,
	fsSetup
};

typedef pascal short (*FilterProcPtr)(short selector, VideoHandle theData);

