/************************************************************************************/
/*	ColorCheck																		*/
/*																					*/
/*	Set the global variable useColor, which will be used to determine whether to	*/
/*	use color icons, windows, dialogs, etc.											*/
/************************************************************************************/

#include "MyHeaders.h"

Boolean ColorCheck()
{
	int			CCRetCode = FALSE;					/* set return code				*/
	GDHandle	theGD;								/* handle to the graf dev rec	*/

	
	useColor = FALSE;								/* default to don't use			*/
	
	theGD = GetMainDevice();						/* get graphics device record	*/
													/*   for the main screen		*/
	useColor = TestDeviceAttribute (theGD, gdDevType);	/* test for color monitor	*/


ENDING:
	CCRetCode = useColor;
	return CCRetCode;
}
				