/************************************************************************************/
/*	MyGlobals.c																		*/
/*																					*/
/*  See also MyHeaders.h															*/
/************************************************************************************/

#include "MyHeaders.h"

/************************** 														*/
/*	GLOBAL VARIABLES	  * 														*/
/************************** 														*/
int			MainRetCode;						/* main program return code			*/
int			WorkRetCode;						/* work return code					*/
int			j,k,l,m,n;							/* work variables					*/
long		worklong;							/* work variable					*/
Rect		workRect;							/* work variable					*/
int			workInt;							/* work variable					*/
Handle		workHandle;							/* work variable					*/
Point		workPoint;							/* work variable					*/
char		workChar;							/* work variable					*/
TEHandle	workTEHandle;						/* work variable					*/
ControlHandle	workControlHandle;				/* work variable					*/
Str255		workStr255;							/* work variable					*/
Boolean		workBoolean;						/* work variable					*/
GrafPtr		workGrafPtr;						/* work variable					*/
																					   
EventRecord		myEvent;						/* from event loop					*/
int				myQuitFlag;						/* flag to get out of event loop	*/

WindowPtr		workWindowPtr;					/* pointer from FindWindow			*/
int				myMouseWhere;					/* location (not Point) of mouse	*/

char			testChar;						/* character for boolean operations	*/

MenuInfo 		**myMenuHandle[4];				/* handles for various menus		*/
Str255			menuItemName;					/* name returned from menu select	*/
int				mymenuID;						/* menu ID from MenuSelect			*/
int				mymenuItem;						/* menu item number from MenuSelect	*/

DialogPtr		myDlogPtr;						/* pointer to active dialog			*/
DialogTemplate	myDTmpl,**myDTmplH;				/* template for active dialog		*/

AlertTemplate	myATmpl,**myATmplH;				/* template for active Alert		*/

struct	wTblStruct								/* space for some window info		*/
		windTbl[windMax];						/* table of many of the above		*/
int				windSub;						/* subscript for window table		*/

int				myResRefNum;					/* application res file ref num		*/
int				initResRefNum;					/* res file ref num after inits		*/

Rect			myDragRect;						/* outer bounds for dragging		*/

Point			nextTextPosit;					/* Position of next text window		*/

Rect			destRect;						/* for calculations of TE areas		*/
Rect			viewRect;						/* for calculations of TE areas		*/
RgnHandle		workRegionH;					/* work handle for TE redraw		*/

WindowPtr		mouseWindPtr;					/* pointer to window with cursor	*/
Point			locMouse;						/* local coords of mouse			*/
Point			gMouse;							/* global coords of mouse			*/
int				mouseWindPart;					/* part code in window				*/

SFReply			workReply;						/* work area for std file reply		*/
int				workRC;							/* work area for open return code	*/
int				workPathRefNum;					/* work area path ref num from open	*/

int				appMessage;						/* startup message from Finder		*/
int				appCount;						/* number of docs from Finder		*/
AppFile			appTheFile;						/* file information from Finder		*/
long			appMenuLong;					/* menu longword for menu proc		*/
int				appIndex;						/* index pointer for GetAppFiles	*/

THPrint			prRecHdl;						/* handle to print record			*/
TPPrPort		prPortPtr;						/* pointer to print port			*/

Boolean			useColor;						/* should we use color windows, etc	*/

Handle			theSnd;							/* handle to sound resource			*/
OSErr			sndRC;							/* return code from SndPlay			*/
Ptr				theSndChan;						/* sound channel					*/

ScrapStuff		*scrapPtr;						/* pointer to desk scrap			*/
long			scrapOffset;					/* offset from beginning of scrap	*/

ListHandle		helpList;						/* handle for List Manager			*/
Point			helpCell = {0, 0};				/* cell for List Manager			*/
long			helpLong;						/* for help facility				*/
Rect			helpRect = {26,164, 214,398};	/* for help facility				*/
Handle			helpHandle;						/* work handle for help				*/
int				helpPrev = -1;					/* previously selected help item	*/

struct			versRec							/* vers resource					*/
				**versRecHandle;
Str255			versLongStr;					/* long string from vers resource	*/
