#pragma once

/*
 * (C) 1992 SixxHeads Software
 * (C) 1992 Berkeley Systems
 * All Rights Reserved
 *
 * This file should be Added to any application that wants to Insert
 * menus into the Finder. 
 *
 * You must call FMInit (which returns the first menu ID you should use)
 * before calling any other FinderMenu procedure.
 *
 * System 7 Only.
 * 
 * <Revision History>
 *		04/28/92 smz Created.
 */

#include "FinderMenuInterface.h"
#include <GestaltEqu.h>

/*
 * Globals
 */
FMDispatchProc	theDispatchProc;
OSType 			theCreatorID;

short FMInit()
{
	theCreatorID = GetProcessCreator();
	if (Gestalt(cGetFinderMenuProc, (long *) &theDispatchProc) != noErr)
		return eInitNotInstalled;

	return (*theDispatchProc)(eInitFinderMenu, theCreatorID);
}
